com.google.appengine.api.blobstore.dev

## Class ServeBlobFilter.ResponseWrapper

- java.lang.Object
- - HttpServletResponseWrapper
  - - com.google.appengine.api.blobstore.dev.ServeBlobFilter.ResponseWrapper

- Enclosing class:
    ServeBlobFilter

      public static class ServeBlobFilter.ResponseWrapper
      extends HttpServletResponseWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServeBlobFilter.ResponseWrapper(HttpServletResponse response)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeader(java.lang.String name, java.lang.String value)`
    `boolean` | `containsHeader(java.lang.String name)`
    `com.google.appengine.api.blobstore.BlobKey` | `getBlobKey()`
    `java.lang.String` | `getBlobRangeHeader()`
    `java.lang.String` | `getContentRangeHeader()`
    `boolean` | `hasContentType()`
    `void` | `setContentType(java.lang.String contentType)`
    `void` | `setHeader(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServeBlobFilter.ResponseWrapper

          public ServeBlobFilter.ResponseWrapper(HttpServletResponse response)

  - ### Method Detail

    - #### setContentType

          public void setContentType(java.lang.String contentType)

    - #### addHeader

          public void addHeader(java.lang.String name,
                       java.lang.String value)

    - #### setHeader

          public void setHeader(java.lang.String name,
                       java.lang.String value)

    - #### containsHeader

          public boolean containsHeader(java.lang.String name)

    - #### getBlobKey

          public com.google.appengine.api.blobstore.BlobKey getBlobKey()

    - #### hasContentType

          public boolean hasContentType()

    - #### getContentRangeHeader

          public java.lang.String getContentRangeHeader()

    - #### getBlobRangeHeader

          public java.lang.String getBlobRangeHeader()